﻿using System;
﻿using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using MultiselectInGrid.Models;

namespace MultiselectInGrid.Controllers
{
	public partial class GridController : Controller
    {
		public ActionResult Orders_Read([DataSourceRequest]DataSourceRequest request)
		{
            var result = Enumerable.Range(1, 50).Select(i => new OrderViewModel
            {
                OrderID = i,
                Freight = i * 10,
                OrderDate = DateTime.Now.AddDays(i),
                ShipName = "ShipName " + i,
                ShipCity = new List<CityViewModel> { new CityViewModel() { CityID = 6, CityName = "Kaspichan" } }
			});

			return Json(result.ToDataSourceResult(request));
		}

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Orders_Update([DataSourceRequest]DataSourceRequest request, OrderViewModel product)
        {
            return Json(new[] { product }.ToDataSourceResult(request, ModelState));
        }
    }
}
